Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.core.v2
Class CertificateEntityType

    java.lang.Object
      be.fgov.ehealth.certra.core.v2.CertificateEntityType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class CertificateEntityType

extends Object
implements Serializable

Identification information of the entity to which a certificate is issued

Java class for CertificateEntityType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateEntityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CertificateIdentifier" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateIdentifierType"/>
           </sequence>
           <attribute name="EntityType" type="{urn:be:fgov:ehealth:certra:core:v2}EntityType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CertificateEntityType()`

Method Summary
`CertificateIdentifierType` | `getCertificateIdentifier()` Gets the value of the certificateIdentifier property.
`EntityType` | `getEntityType()` Gets the value of the entityType property.
`void` | `setCertificateIdentifier(CertificateIdentifierType value)` Sets the value of the certificateIdentifier property.
`void` | `setEntityType(EntityType value)` Sets the value of the entityType property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateEntityType

    public CertificateEntityType()

Method Detail

### getCertificateIdentifier

    public CertificateIdentifierType getCertificateIdentifier()

  Gets the value of the certificateIdentifier property.

  Returns:
    possible object is `CertificateIdentifierType`

### setCertificateIdentifier

    public void setCertificateIdentifier(CertificateIdentifierType value)

  Sets the value of the certificateIdentifier property.

  Parameters:
    `value` - allowed object is `CertificateIdentifierType`

### getEntityType

    public EntityType getEntityType()

  Gets the value of the entityType property.

  Returns:
    possible object is `EntityType`

### setEntityType

    public void setEntityType(EntityType value)

  Sets the value of the entityType property.

  Parameters:
    `value` - allowed object is `EntityType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.